Name: perl-RPM2
Version: 0.66
Release: 7
Summary: RPM2 Perl module
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/search?mode=module&query=RPM2
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 2:5.8.0
BuildRequires: rpm-devel
Requires: %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')
Source0: RPM2-%{version}.tar.gz
Patch0: perl-RPM2-elf.patch

%description
RPM2 Perl module
%prep
%setup -q -n RPM2-%{version} 
%patch0 -p1 -b .elf

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr 
make
make test || /bin/true

%clean
rm -rf $RPM_BUILD_ROOT
%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > RPM2-%{version}-filelist
find $RPM_BUILD_ROOT/usr -name perllocal.pod -or -name .packlist | xargs rm
if [ "$(cat RPM2-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

%files -f RPM2-%{version}-filelist
%defattr(-,root,root)

%changelog
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 13 2004 Dan Walsh <dwalsh@redhat.com> 0.45-6
- rebuilt to pick up new rpm

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Nov 07 2002 Elliot Lee <sopwith@redhat.com> 0.45-2
- Rebuild

* Wed Sep  4 2002 Chip Turner <cturner@redhat.com>
- fix segfaults and destructor issues related to typing overlap in
  perl XS mappings

* Mon Aug 26 2002 Chip Turner <cturner@redhat.com>
- add -lelf temporarily

* Wed Aug 07 2002 cturner@redhat.com
- Specfile autogenerated

